Package de.dfki.lt.freetts.en.us

# Class MbrolaVoiceValidator

java.lang.Object
de.dfki.lt.freetts.en.us.MbrolaVoiceValidator

All Implemented Interfaces:
  `Validator`

public class MbrolaVoiceValidator extends Object implements Validator
Shows this MbrolaVoice is valid (or usable). It tests for the following:

1. Check that the "mbrola.base" System property is defined, and that directory exists.
2. Check that the $(mbrola.base)/mbrola binary exists.
3. Check that the transition table exists. It is assumed to be at $(mbrola.base)/us1/us1mrpa.
4. Check that its voice database exists.

## Constructor Summary

Constructors
Constructor
Description
`MbrolaVoiceValidator(MbrolaVoice mbrolaVoice)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns the name of this validator.
`void`
`validate()`
Validates this MbrolaVoice.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MbrolaVoiceValidator

public MbrolaVoiceValidator(MbrolaVoice mbrolaVoice)

## Method Details

### validate

public void validate() throws ValidationException
Validates this MbrolaVoice.

Specified by:
  `validate` in interface `Validator`
Throws:
  `ValidationException` - if this MbrolaVoice is invalid

### toString

public String toString()
Returns the name of this validator.

Overrides:
  `toString` in class `Object`
Returns:
  the name of this validator